Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.bridge
Class DynamicJavaBridgeClassLoader.JarLibraryPath

    java.lang.Object
      php.java.bridge.DynamicJavaBridgeClassLoader.JarLibraryPath

Enclosing class:
  DynamicJavaBridgeClassLoader

    public static class DynamicJavaBridgeClassLoader.JarLibraryPath

extends java.lang.Object

Holds a checked JarLibraryPath entry

Constructor Summary
`DynamicJavaBridgeClassLoader.JarLibraryPath(java.lang.String rawPath, java.lang.String rawContextDir)` Create a checked JarLibraryPath entry

Method Summary
`void` | `addToCache()` Adds this entry to the cache
`boolean` | `equals(java.lang.Object o)`
`java.lang.String` | `getPath()` Return the path
`java.net.URL[]` | `getURLs()` Return the urls associated with this entry
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DynamicJavaBridgeClassLoader.JarLibraryPath

    public DynamicJavaBridgeClassLoader.JarLibraryPath(java.lang.String rawPath,
                                                       java.lang.String rawContextDir)
                                                throws java.io.IOException

  Create a checked JarLibraryPath entry

  Parameters:
    `rawPath` - The path or file in the local file system or url
    `rawContextDir` - The context directory, for example c:\php
  Throws:
    `IOException,` - if the local path or file does not exist or cannot be accessed
    `java.io.IOException`

Method Detail

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### getURLs

    public java.net.URL[] getURLs()

  Return the urls associated with this entry

  Returns:
    The url value
  Throws:
    `java.io.IOException`

### getPath

    public java.lang.String getPath()

  Return the path

  Returns:
    the key

### addToCache

    public void addToCache()

  Adds this entry to the cache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD